import { ResultBase } from '../../models/http/resultBase';
import { User } from '../../models/users/user';
import { UserInput } from '../../models/users/UserInput';
import { HttpCommandBase } from '../abstract/httpCommandBase';
import { HttpMethod } from '../abstract/httpMethod';

export class LoginCommand extends HttpCommandBase<UserInput, User, ResultBase> {
    public endpoint: string = '/users';
    public method: HttpMethod = HttpMethod.Post;

    constructor(private userInput: UserInput) {
        super();
    }

    public buildRequestContent(): UserInput {
        return this.userInput;
    }
}